#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 37. LXQt Desktop

- Prev

  solid-6.11.0 for lxqt

- Next

  kwayland-6.3.2 for lxqt

- Up
- Home

# kidletime-6.11.0 for lxqt

## Introduction to kidletime

KIdleTime is used to report the idle time of users and the system. It is useful not only for determining the current idle time of the PC, but also for getting notified upon idle time events, such as custom timeouts or user activity.

This package is known to build and work properly using an LFS 12.3 platform.

### Important

This package is extracted from the KF6 set of packages. If KDE Frameworks-6.11.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/6.11/kidletime-6.11.0.tar.xz

- Download MD5 sum: 16d30e56e423668c27bfcbd2425a19da

- Download size: 31 KB

- Estimated disk space required: 5.4 MB

- Estimated build time: 0.3 SBU

### kidletime Dependencies

#### Required

extra-cmake-modules-6.11.0, plasma-wayland-protocols-1.16.0, and Qt-6.8.2

## Installation of kidletime

Install kidletime by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_BUILD_TYPE=Release         \
          -D CMAKE_INSTALL_LIBEXECDIR=libexec \
          -D KDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -D BUILD_TESTING=OFF                \
          -W no-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Library: libKF6IdleTime.so
Installed Directories: /usr/include/KF6/KIdleTime, /usr/lib/cmake/KF6IdleTime, and $QT6DIR/lib/plugins/kf6/org.kde.kidletime.platforms

### Short Descriptions

`libKF6IdleTime.so` | contains the KDE API for idle time reports

- Prev

  solid-6.11.0 for lxqt

- Next

  kwayland-6.3.2 for lxqt

- Up
- Home